ubuntu 9.04無法執行Sound Juicer [論壇 - Ubuntu 養蟲箱 - bug share]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

(1) 2 »


naoki
ubuntu 9.04無法執行Sound Juicer
Anon:naoki
裝了9.04後,發現Sound Juicer都無法有效執行
請問大家是否有這個問題

2009/4/24 21:08 | b47d7 ff64b 4e19e c0db6
應用擴展 工具箱
kroghlin@gmail.com
回覆: ubuntu 9.04無法執行Sound Juicer
Anon:kroghlin@gmail.com
正常使用中. 請描述你的硬體配備.

2009/4/24 21:17 | 75878 66430 9b1e1 2165b
應用擴展 工具箱
NAOKI
回覆: ubuntu 9.04無法執行Sound Juicer
Anon:NAOKI
主機板:p5k
CPU:intel 6600
記憶體:4G
OS:ubuntu 9.04 32位元

我再試試看好了,既然有人可以執行,那就是我個人的問題

2009/4/24 21:41 | b47d7 ff64b 4e19e c0db6
應用擴展 工具箱
NAOKI
回覆: ubuntu 9.04無法執行Sound Juicer
Anon:NAOKI
錯誤訊息如下

~$ sound-juicer %u

(sound-juicer:25468): GLib-GObject-CRITICAL **: g_param_spec_internal: assertion `(name[0] >= 'A' && name[0] <= 'Z') || (name[0] >= 'a' && name[0] <= 'z')' failed
程式記憶體區段錯誤

2009/4/24 21:47 | b47d7 ff64b 4e19e c0db6
應用擴展 工具箱
albert
回覆: ubuntu 9.04無法執行Sound Juicer
Anon:albert
我的也是 錯誤訊息也完全相同
NAOKI 寫到:
錯誤訊息如下

~$ sound-juicer %u

(sound-juicer:25468): GLib-GObject-CRITICAL **: g_param_spec_internal: assertion `(name[0] >= 'A' && name[0] <= 'Z') || (name[0] >= 'a' && name[0] <= 'z')' failed
程式記憶體區段錯誤

2009/4/24 23:16 | 75878 66430 9b1e1 2165b
應用擴展 工具箱
albert
回覆: ubuntu 9.04無法執行Sound Juicer
Anon:albert
看來似乎已經被解決了
自己抓tarball 回來改重新compile 或是等更新吧

http://bugzilla.gnome.org/show_bug.cgi?id=578677

2009/4/24 23:21 | 75878 66430 9b1e1 2165b
應用擴展 工具箱
NAOKI
回覆: ubuntu 9.04無法執行Sound Juicer
Anon:NAOKI
./configure過程,出現
checking for GLIB... configure: error: Package requirements (glib-2.0 >= 2.14 gthread-2.0 gobject-2.0) were not met:

No package 'glib-2.0' found
No package 'gthread-2.0' found
No package 'gobject-2.0' found


請問缺少的這些東西要怎麼抓來裝

2009/4/25 10:12 | b47d7 ff64b 4e19e c0db6
應用擴展 工具箱
回覆: ubuntu 9.04無法執行Sound Juicer
會員五級
註冊日期:
2009/4/24 15:03
所屬群組:
已註冊使用者
等級: 25
HP : 0 / 601
MP : 256 / 17984
EXP: 4
離線
安裝編譯基本套件
sudo apt-get install build-essential


這就是apt被稱為"超級牛力"的原因之一:

sudo apt-get build-dep sound-juicer

2009/4/25 14:17
應用擴展 工具箱
NAOKI
回覆: ubuntu 9.04無法執行Sound Juicer
Anon:NAOKI
build-essential 已經是最新版本了。
build-essential 被設定為手動安裝。
升級 0 個,新安裝 0 個,移除 0 個,有 0 個未被升級。

感謝樓上的.......但是已經是最新版了
所以問題依然無解

2009/4/25 17:57 | b47d7 ff64b 4e19e c0db6
應用擴展 工具箱
NAOKI
回覆: ubuntu 9.04無法執行Sound Juicer
Anon:NAOKI
嘗試
sudo apt-get build-dep sound-juicer

努力中,完成與否會再回報

2009/4/25 18:02 | b47d7 ff64b 4e19e c0db6
應用擴展 工具箱

(1) 2 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.